%global momorel 2

%global srcname gst-python

Name: gstreamer-python
Version: 0.10.15
Release: %{momorel}m%{?dist}
Summary: Python bindings for GStreamer

Group: Development/Languages
License: LGPL
URL: http://gstreamer.freedesktop.org/
Source0: http://gstreamer.freedesktop.org/src/%{srcname}/%{srcname}-%{version}.tar.bz2 
NoSource: 0
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Requires: gstreamer >= 0.10.23
Requires: python
Requires: gnome-python2
Requires: pygtk2


BuildPrereq: python
BuildPrereq: pkgconfig
BuildPrereq: gstreamer-devel >= 0.10.22
BuildPrereq: gstreamer-plugins-base-devel >= 0.10.22
BuildPrereq: pygobject-devel >= 2.12.3
BuildPrereq: pygtk2-devel >= 2.10.4
BuildRequires:  xmlto
Obsoletes: gst-python 

%description
This module contains a wrapper that allows GStreamer applications
to be written in Python.

%package devel
Summary: %{name}-devel
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
%{name}-devel

%prep
%setup -q -n %{srcname}-%{version}

%build
%configure
%make

%install
rm -rf --preserve-root %{buildroot}
make DESTDIR=%{buildroot} install

%clean
rm -rf --preserve-root %{buildroot}

%files
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS README gst-python.doap
%{_libdir}/gstreamer-0.10/libgstpython.so
%{_libdir}/gstreamer-0.10/libgstpython.la
%{_libdir}/python*/site-packages/gst-0.10
%{_libdir}/python*/site-packages/pygst.*
%{_libdir}/python*/site-packages/gstoption.so
%{_libdir}/python*/site-packages/gstoption.la
%{_datadir}/%{srcname}

%files devel
%defattr(-, root, root)
%{_libdir}/pkgconfig/gst-python-0.10.pc

%changelog
* Sun Jul  5 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.10.15-2m)
- add devel package

* Sun Jun  7 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.10.15-1m)
- update to 0.10.15

* Wed Jan 21 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.10.14-1m)
- update to 0.10.14

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.10.13-3m)
- rebuild against rpm-4.6

* Wed Dec 31 2008 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (0.10.13-2m)
- rebuild against python-2.6.1-1m

* Mon Oct 27 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.10.13-1m)
- update to 0.10.13

* Sun Jul 27 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.10.12-2m)
- rename gst-python to gstreamer-python

* Fri Jun 20 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.10.12-1m)
- update to 0.10.12

* Sun May 11 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.10.11-1m)
- update to 0.10.11

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.10.7-3m)
- rebuild against gcc43

* Thu Feb 14 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (0.10.7-2m)
- %%NoSource -> NoSource

* Thu Mar 29 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.10.7-1m)
- initial build
